# read-file [![NPM version](https://badge.fury.io/js/read-file.png)](http://badge.fury.io/js/read-file)

> Lightweight methods for reading from the file system, async and sync, with extras for stripping byte order marks and normalizing newlines.

## Install
Install with [npm](npmjs.org):

```bash
npm i read-file --save-dev
```


## api
#### readFile

Read files asynchronously.

```js
var file = require('read-file');
file.readFileSync('foo.txt');
```

#### readFileSync

Read files synchronously.

```js
var file = require('read-file');
file.readFile('foo.txt', callback);
```

#### encoding

Default encoding is `utf8`, this can be changed by passing an encoding as a second param:

```js
var file = require('read-file');
file.readFileSync('foo.txt', 'utf8');
// or
file.readFile('foo.txt', 'utf8', callback);
```

#### normalizeNL

Normalize all line endings to newlines, `\n`.

```js
var file = require('read-file');
var str = file.readFileSync('foo.txt');
file.normalizeNL(str);
```

#### stripBOM

Strip byte order marks.

```js
var file = require('read-file');
var str = file.readFileSync('foo.txt');
file.stripBOM(str);
```


## Authors

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

**Brian Woodward**

+ [github/doowb](https://github.com/doowb)
+ [twitter/doowb](http://twitter.com/jonschlinkert)

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on April 09, 2014._